Subject: Re: bug#20557: 24.4; electric-indent global mode is a regression

From: Glenn Morris <[email-masked]>
Date: Tue, 12 May 2015 11:50:00 -0400

Jerome L Quinn wrote:

> If I create a temporary buffer, it comes up in fundamental mode.  If I
> then type:
>
> a<RET>
> a<RET>
> a<RET>
> a
>
> I instead get
>
> a
>         a
>                 a
>                         a
>
> which isn't anything like I'd expect, and I can't see how it's useful
> for anything.

I can't reproduce this. Do you have a recipe starting from emacs -Q?

Perhaps you have edited a csh script; http://debbugs.gnu.org/19433
What does C-h v indent-line-function  say?